Subject: bug#36696: 26.2; query-replace error

From: Theodore Ehrenborg <[email-masked]>
Date: Sat, 20 Jul 2019 20:04:16 -0400

I looked over Bug#36328, and that problem seems a lot like mine. That bug
was addressed with a patch in Emacs 27, so I installed the most recent
version (in two ways, directly from https://github.com/emacs-mirror/emacs
and also through brew). Both versions of Emacs 27 (technically, they are
the same version, commit 45fc6f2) do not produce the error, which is great.

Thanks for pointing out the similar bug.

Den lör 20 juli 2019 kl 12:39 skrev Eli Zaretskii <[email-masked]>:

> > From: Noam Postavsky <[email-masked]>
> > Cc: Theodore Ehrenborg <[email-masked]>,
> [email-masked]
> > Date: Sat, 20 Jul 2019 12:06:57 -0400
> >
> > I can't reproduce it here, but it sounds similar to Bug#36328, which
> > depends on which faces are loaded.
>
> You mean colors, not faces, right?
>
> And that bug was on TTY frames, whereas this one isn't, so I'm not
> sure it's the same problem.  I suspect MacTeX installs something that
> affects even "emacs -Q", though.  Or maybe it's macOS port that does.
>